Bug 1134099 (CVE-2014-5471, CVE-2014-5472) - CVE-2014-5471 CVE-2014-5472 kernel: isofs: unbound recursion when processing relocated directories
Summary: CVE-2014-5471 CVE-2014-5472 kernel: isofs: unbound recursion when processing ...
Status: CLOSED ERRATA
Alias: CVE-2014-5471, CVE-2014-5472
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140826,reported=2...
Keywords: Security
Depends On: 1142268 1142269 1142270 1142271 1142272 1196304 1196305 1196306
Blocks: 1134101
TreeView+ depends on / blocked
 
Reported: 2014-08-26 20:24 UTC by Martin Prpič
Modified: 2016-02-10 07:00 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the parse_rock_ridge_inode_internal() function of the Linux kernel's ISOFS implementation did not correctly check relocated directories when processing Rock Ridge child link (CL) tags. An attacker with physical access to the system could use a specially crafted ISO image to crash the system or, potentially, escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 07:00:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1318 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Realtime 2.5 security and enhancement update 2014-09-29 23:41:06 UTC
Red Hat Product Errata RHSA-2014:1997 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-17 00:12:55 UTC
Red Hat Product Errata RHSA-2015:0102 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-29 00:02:51 UTC
Red Hat Product Errata RHSA-2015:0695 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-17 18:39:19 UTC
Red Hat Product Errata RHSA-2015:0782 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-07 19:08:32 UTC
Red Hat Product Errata RHSA-2015:0803 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-14 17:00:51 UTC

Description Martin Prpič 2014-08-26 20:24:49 UTC
It was found that the parse_rock_ridge_inode_internal() function of the Linux kernel's ISOFS implementation did not correctly check relocated directories when processing Rock Ridge child link (CL) tags. An attacker with physical access to the system could use a specially crafted ISO image to crash the system or, potentially, escalate their privileges on the system.

Upstream fix:
------------
   -> https://git.kernel.org/linus/410dd3cf4c9b36f27ed4542ee18b1af5e68645a4

CVE request:
------------
  -> http://seclists.org/oss-sec/2014/q3/450

Comment 1 Martin Prpič 2014-08-27 09:03:00 UTC
MITRE assigned two CVE numbers, CVE-2014-5471 and CVE-2014-5472, for this issue. More details here:

http://seclists.org/oss-sec/2014/q3/452

Comment 2 Josh Boyer 2014-08-28 00:36:03 UTC
Fedora has patched this on all relevant branches now.

Comment 3 Fedora Update System 2014-08-30 03:58:15 UTC
kernel-3.15.10-201.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Prasad J Pandit 2014-09-16 13:16:28 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5. Future kernel updates for Red Hat Enterprise Linux 5 may address this issue.

Comment 8 Fedora Update System 2014-09-23 05:00:18 UTC
kernel-3.16.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-09-29 19:41:44 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1318 https://rhn.redhat.com/errata/RHSA-2014-1318.html

Comment 10 Fedora Update System 2014-09-30 01:59:12 UTC
kernel-3.14.19-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Martin Prpič 2014-09-30 10:48:05 UTC
IssueDescription CVE-2014-5472:

It was found that the parse_rock_ridge_inode_internal() function of the Linux kernel's ISOFS implementation did not correctly check relocated directories when processing Rock Ridge child link (CL) tags. An attacker with physical access to the system could use a specially crafted ISO image to crash the system or, potentially, escalate their privileges on the system.

IssueDescription CVE-2014-5471:

It was found that the parse_rock_ridge_inode_internal() function of the Linux kernel's ISOFS implementation did not correctly check relocated directories when processing Rock Ridge child link (CL) tags. An attacker with physical access to the system could use a specially crafted ISO image to crash the system or, potentially, escalate their privileges on the system.

Comment 12 errata-xmlrpc 2014-12-16 19:13:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1997 https://rhn.redhat.com/errata/RHSA-2014-1997.html

Comment 13 errata-xmlrpc 2015-01-28 19:04:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0102 https://rhn.redhat.com/errata/RHSA-2015-0102.html

Comment 15 errata-xmlrpc 2015-03-17 14:40:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:0695 https://rhn.redhat.com/errata/RHSA-2015-0695.html

Comment 16 errata-xmlrpc 2015-04-07 15:12:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0782 https://rhn.redhat.com/errata/RHSA-2015-0782.html

Comment 17 errata-xmlrpc 2015-04-14 13:09:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2015:0803 https://rhn.redhat.com/errata/RHSA-2015-0803.html


Note You need to log in before you can comment on or make changes to this bug.